org.apache.olingo.commons.api.data

## Class ContextURL.Builder

- java.lang.Object
- - org.apache.olingo.commons.api.data.ContextURL.Builder

- Enclosing class:
    ContextURL

      public static final class ContextURL.Builder
      extends Object

  Builder for a ContextURL instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextURL.Builder` | `asCollection()` Define the result as a collection.
    `ContextURL` | `build()` Create the ContextURL instance based on set values.
    `ContextURL.Builder` | `derived(EdmEntityType derivedType)` Set the derived edm entity type.
    `ContextURL.Builder` | `derivedEntity(String derivedEntity)` Set the derived entity name.
    `ContextURL.Builder` | `entitySet(EdmEntitySet entitySet)` Set the edm entity set.
    `ContextURL.Builder` | `entitySetOrSingletonOrType(String entitySetOrSingletonOrType)` Set the entity set / singleton / type name.
    `ContextURL.Builder` | `keyPath(String keyPath)` Set the key path.
    `ContextURL.Builder` | `navOrPropertyPath(String navOrPropertyPath)` Set the navigation or property path.
    `ContextURL.Builder` | `oDataPath(String oDataPath)` Set the OData path.
    `ContextURL.Builder` | `selectList(String selectList)` Set the select list.
    `ContextURL.Builder` | `serviceRoot(URI serviceRoot)` Set the service root.
    `ContextURL.Builder` | `suffix(ContextURL.Suffix suffix)` Set the suffix.
    `ContextURL.Builder` | `type(EdmType type)` Set the edm entity type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### oDataPath

          public ContextURL.Builder oDataPath(String oDataPath)

      Set the OData path.
      Parameters:
        `oDataPath` - the OData path
      Returns:
        Builder

    - #### serviceRoot

          public ContextURL.Builder serviceRoot(URI serviceRoot)

      Set the service root.
      Parameters:
        `serviceRoot` - the service root
      Returns:
        Builder

    - #### entitySet

          public ContextURL.Builder entitySet(EdmEntitySet entitySet)

      Set the edm entity set.
      Parameters:
        `entitySet` - the edm entity set
      Returns:
        Builder

    - #### keyPath

          public ContextURL.Builder keyPath(String keyPath)

      Set the key path.
      Parameters:
        `keyPath` - the key path
      Returns:
        Builder

    - #### entitySetOrSingletonOrType

          public ContextURL.Builder entitySetOrSingletonOrType(String entitySetOrSingletonOrType)

      Set the entity set / singleton / type name.
      Parameters:
        `entitySetOrSingletonOrType` - the entity set / singleton / type name
      Returns:
        Builder

    - #### type

          public ContextURL.Builder type(EdmType type)

      Set the edm entity type.
      Parameters:
        `type` - the edm entity type
      Returns:
        Builder

    - #### asCollection

          public ContextURL.Builder asCollection()

      Define the result as a collection.
      Returns:
        Builder

    - #### derived

          public ContextURL.Builder derived(EdmEntityType derivedType)

      Set the derived edm entity type.
      Parameters:
        `derivedType` - the derived edm entity type
      Returns:
        Builder

    - #### derivedEntity

          public ContextURL.Builder derivedEntity(String derivedEntity)

      Set the derived entity name.
      Parameters:
        `derivedEntity` - the derived entity name
      Returns:
        Builder

    - #### navOrPropertyPath

          public ContextURL.Builder navOrPropertyPath(String navOrPropertyPath)

      Set the navigation or property path.
      Parameters:
        `navOrPropertyPath` - the navigation or property path
      Returns:
        Builder

    - #### selectList

          public ContextURL.Builder selectList(String selectList)

      Set the select list.
      Parameters:
        `selectList` - the select list
      Returns:
        Builder

    - #### suffix

          public ContextURL.Builder suffix(ContextURL.Suffix suffix)

      Set the suffix.
      Parameters:
        `suffix` - the suffix
      Returns:
        Builder

    - #### build

          public ContextURL build()

      Create the ContextURL instance based on set values.
      Returns:
        the according ContextURL

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.